Name:		qloud
Version:	1.4.2
Release:	%mkrel 2
License:	GPLv2+
URL:		https://github.com/molke-productions/qloud
Group:		Sound/Utilities
Summary:	tool to measure loudspeaker frequency and step responses and distortions
Source: 	https://github.com/molke-productions/qloud/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	qloud.png
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(jack)
BuildRequires:	libgcc
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig(Qt5Charts)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)

%description
QLoud is a tool to measure a loudspeaker frequency response and distortions.

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/qloud %{buildroot}%{_bindir}/qloud

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qloud
Comment=loudspeaker measuring tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.4.2-2.mga10
+ Revision: 2216539
- Mageia 10 Mass Rebuild

* Thu Nov 24 2022 mrambo3501 <mrambo3501> 1.4.2-1.mga9
+ Revision: 1910742
- BR pkgconfig(Qt5PrintSupport)
- BR pkgconfig(Qt5Xml)
- BR qttools5
- version 1.4.2

* Tue Apr 05 2022 umeabot <umeabot> 1.2-4.mga9
+ Revision: 1844229
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1516238
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1300658
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 1.2-1.mga7
+ Revision: 1245337
- new version 1.2

* Wed Feb 03 2016 umeabot <umeabot> 0.31-8.mga6
+ Revision: 933823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.31-7.mga5
+ Revision: 743723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31-6.mga5
+ Revision: 688494
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.31-5.mga4
+ Revision: 517850
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.31-4.mga3
+ Revision: 379840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.31-3.mga3
+ Revision: 343374
- updated RPM group (Visualization is no more)

* Thu Dec 27 2012 wally <wally> 0.31-2.mga3
+ Revision: 335708
- BR libsndfile-devel

* Sat Nov 17 2012 zezinho <zezinho> 0.31-1.mga3
+ Revision: 319231
- remove forgotten makefile
- disable old patches
- new version
- new version
- change group
- spec cleanup

* Tue Jan 24 2012 zezinho <zezinho> 0.23-1.mga2
+ Revision: 200584
- patch to use new qwt devel paths
- imported package qloud


* Tue Jan 11 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- Version update
* Tue Jul 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- initial CCux package release
